apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ .Values.app_name }}-deployment
  labels:
    component: {{ .Values.app_name }}-deployment
spec:
  replicas: {{ .Values.replicaCount }}
  selector:
    matchLabels:
      component: {{ .Values.app_name }}-pod
  template:
    metadata:
      labels:
        component: {{ .Values.app_name }}-pod
    spec:
      containers:
        - name: {{ .Values.app_name }}-container
          image: {{ .Values.image }}
          ports:
            - containerPort: 3000
          envFrom:
            - configMapRef:
                name: {{ .Values.app_name }}-config-map
            - secretRef:
                name: {{ .Values.app_name }}-secret
